# $Revision: 1.94 $, $Date: 2009/07/09 12:21:16 $
%define	foover	%(echo %{version} | tr . _)
Summary:	NSS - Network Security Services
Summary(pl.UTF-8):	NSS - Network Security Services
Name:		nss
Version:	3.12.3
Release:	3
Epoch:		1
License:	MPL v1.1 or GPL v2+ or LGPL v2.1+
Group:		Libraries
# :pserver:anonymous@cvs-mirror.mozilla.org:/cvsroot mozilla/dbm -r DBM_1_61_RTM
# :pserver:anonymous@cvs-mirror.mozilla.org:/cvsroot mozilla/security/dbm -r DBM_1_61_RTM
# :pserver:anonymous@cvs-mirror.mozilla.org:/cvsroot mozilla/security/coreconf -r NSS_3_9_4_RTM
# :pserver:anonymous@cvs-mirror.mozilla.org:/cvsroot mozilla/security/nss -r NSS_3_9_4_RTM
#Source0:	%{name}-%{version}.tar.bz2
Source0:	http://ftp.mozilla.org/pub/mozilla.org/security/nss/releases/NSS_%{foover}_RTM/src/%{name}-%{version}.tar.bz2
# Source0-md5:	ecb7079ba4ebcf29b7716775384f1f18
Source1:	%{name}-mozilla-nss.pc
Source2:	%{name}-config.in
Source3:	http://www.cacert.org/certs/root.der
# Source3-md5:	a61b375e390d9c3654eebd2031461f6b
Patch0:		%{name}-Makefile.patch
Patch1:		execstack.patch
URL:		http://www.mozilla.org/projects/security/pki/nss/
BuildRequires:	nspr-devel >= 1:4.7
BuildRequires:	nss-tools
BuildRequires:	sqlite3-devel
BuildRequires:	zlib-devel
BuildConflicts:	mozilla < 0.9.6-3
Requires:	nspr >= 1:4.7
Requires:	%{name}-softokn-freebl = %{epoch}:%{version}-%{release}
Obsoletes:	libnss3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing
# signed -  stripped before signing
%define		_noautostrip	.*%{_libdir}/libfreebl3.so\\|.*%{_libdir}/libsoftokn3.so
%define		_noautochrpath	.*%{_libdir}/libfreebl3.so\\|.*%{_libdir}/libsoftokn3.so

%description
NSS supports cross-platform development of security-enabled server
applications. Applications built with NSS can support PKCS #5,
PKCS #7, PKCS #11, PKCS #12, S/MIME, TLS, SSL v2 and v3, X.509 v3
certificates, and other security standards.

%description -l pl.UTF-8
NSS wspomaga pisanie wieloplatformowych bezpiecznych serwerów.
Aplikacja używająca NSS jest w stanie obsłużyć PKCS #5, PKCS #7,
PKCS #11, PKCS #12, S/MIME, TLS, SSL v2 oraz v3, certyfikaty X.509 v3,
i wiele innych bezpiecznych standardów.

%package tools
Summary:	NSS command line tools and utilities
Summary(pl.UTF-8):	Narzędzia NSS obsługiwane z linii poleceń
Group:		Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description tools
The NSS Toolkit command line tool.

%description tools -l pl.UTF-8
Narzędzia NSS obsługiwane z linii poleceń.

%package devel
Summary:	NSS - header files
Summary(pl.UTF-8):	NSS - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	nspr-devel >= 1:4.7
Obsoletes:	libnss3-devel

%description devel
Development part of NSS library.

%description devel -l pl.UTF-8
Część biblioteki NSS przeznaczona dla programistów.

%package static
Summary:	NSS - static library
Summary(pl.UTF-8):	NSS - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static NSS Toolkit libraries.

%description static -l pl.UTF-8
Statyczne wersje bibliotek z NSS.

%package softokn-freebl
Summary:	Freebl library for the Network Security Services
Group:		Libraries

%description softokn-freebl
Network Security Services (NSS) is a set of libraries designed to
support cross-platform development of security-enabled client and
server applications. Applications built with NSS can support SSL v2
and v3, TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3
certificates, and other security standards.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%if 0%{!?debug:1}
# strip before signing
sed -i -e '/export ADDON_PATH$/a\    echo STRIP \; %{__strip} --strip-unneeded -R.comment -R.note ${5}' mozilla/security/nss/cmd/shlibsign/sign.sh
%endif

%build
cd mozilla/security/nss

# http://wiki.cacert.org/wiki/NSSLib
addbuiltin -n "CAcert Inc." -t "CT,C,C" < %{SOURCE3} >> lib/ckfw/builtins/certdata.txt
%{__make} -C lib/ckfw/builtins generate

%ifarch %{x8664} ppc64 sparc64
export USE_64=1
%endif

%{__make} -j1 build_coreconf \
	FREEBL_NO_DEPEND=1 \
	NSDISTMODE=copy \
	NS_USE_GCC=1 \
	MOZILLA_CLIENT=1 \
	NO_MDUPDATE=1 \
	USE_PTHREADS=1 \
	BUILD_OPT=1 \
	CC="%{__cc}" \
	OPTIMIZER="%{rpmcflags}"

%{__make} -j1 build_dbm \
	FREEBL_NO_DEPEND=1 \
	NSDISTMODE=copy \
	NS_USE_GCC=1 \
	MOZILLA_CLIENT=1 \
	NO_MDUPDATE=1 \
	USE_PTHREADS=1 \
	BUILD_OPT=1 \
	CC="%{__cc}" \
	OPTIMIZER="%{rpmcflags}" \
	PLATFORM="pld"

%{__make} -j1 all \
	FREEBL_NO_DEPEND=1 \
	NSDISTMODE=copy \
	NS_USE_GCC=1 \
	MOZILLA_CLIENT=1 \
	NO_MDUPDATE=1 \
	USE_PTHREADS=1 \
	USE_SYSTEM_ZLIB=1 \
	ZLIB_LIBS="-lz" \
	BUILD_OPT=1 \
	CC="%{__cc}" \
	OPTIMIZER="%{rpmcflags}" \
	PLATFORM="pld"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir}/nss,/%{_lib},%{_libdir},%{_pkgconfigdir}}

install mozilla/dist/private/nss/*	$RPM_BUILD_ROOT%{_includedir}/nss
install mozilla/dist/public/dbm/*	$RPM_BUILD_ROOT%{_includedir}/nss
install mozilla/dist/public/nss/*	$RPM_BUILD_ROOT%{_includedir}/nss
install mozilla/dist/pld/bin/*		$RPM_BUILD_ROOT%{_bindir}
install mozilla/dist/pld/lib/*		$RPM_BUILD_ROOT%{_libdir}

%{__sed} -e '
	s#libdir=.*#libdir=%{_libdir}#g
	s#includedir=.*#includedir=%{_includedir}#g
	s#VERSION#%{version}#g
' %{SOURCE1} > $RPM_BUILD_ROOT%{_pkgconfigdir}/mozilla-nss.pc
ln -s mozilla-nss.pc $RPM_BUILD_ROOT%{_pkgconfigdir}/nss.pc

NSS_VMAJOR=$(awk '/#define.*NSS_VMAJOR/ {print $3}' mozilla/security/nss/lib/nss/nss.h)
NSS_VMINOR=$(awk '/#define.*NSS_VMINOR/ {print $3}' mozilla/security/nss/lib/nss/nss.h)
NSS_VPATCH=$(awk '/#define.*NSS_VPATCH/ {print $3}' mozilla/security/nss/lib/nss/nss.h)
%{__sed} -e "
	s,@libdir@,%{_libdir},g
	s,@prefix@,%{_prefix},g
	s,@exec_prefix@,%{_prefix},g
	s,@includedir@,%{_includedir}/nss,g
	s,@MOD_MAJOR_VERSION@,$NSS_VMAJOR,g
	s,@MOD_MINOR_VERSION@,$NSS_VMINOR,g
	s,@MOD_PATCH_VERSION@,$NSS_VPATCH,g
" %{SOURCE2} > $RPM_BUILD_ROOT%{_bindir}/nss-config
chmod +x $RPM_BUILD_ROOT%{_bindir}/nss-config

mv $RPM_BUILD_ROOT%{_libdir}/libfreebl3.so $RPM_BUILD_ROOT/%{_lib}
ln -s /%{_lib}/libfreebl3.so $RPM_BUILD_ROOT%{_libdir}/libfreebl3.so
mv $RPM_BUILD_ROOT%{_libdir}/libfreebl3.chk $RPM_BUILD_ROOT/%{_lib}
ln -s /%{_lib}/libfreebl3.chk $RPM_BUILD_ROOT%{_libdir}/libfreebl3.chk

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfreebl3.so
%attr(755,root,root) %{_libdir}/libnss3.so
%attr(755,root,root) %{_libdir}/libnssckbi.so
%attr(755,root,root) %{_libdir}/libnssdbm3.so
%attr(755,root,root) %{_libdir}/libnssutil3.so
%attr(755,root,root) %{_libdir}/libsmime3.so
%attr(755,root,root) %{_libdir}/libsoftokn3.so
%attr(755,root,root) %{_libdir}/libssl3.so
%{_libdir}/libfreebl3.chk
%{_libdir}/libsoftokn3.chk

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nss-config
%{_includedir}/nss
%{_libdir}/libcrmf.a
%{_pkgconfigdir}/mozilla-nss.pc
%{_pkgconfigdir}/nss.pc

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%exclude %{_bindir}/nss-config

%files static
%defattr(644,root,root,755)
%{_libdir}/libcertdb.a
%{_libdir}/libcerthi.a
%{_libdir}/libcryptohi.a
%{_libdir}/libdbm.a
%{_libdir}/libfreebl3.a
%{_libdir}/libjar.a
%{_libdir}/libnss3.a
%{_libdir}/libnssb.a
%{_libdir}/libnssckfw.a
%{_libdir}/libnssdbm3.a
%{_libdir}/libnssdev.a
%{_libdir}/libnsspki3.a
%{_libdir}/libnssutil3.a
%{_libdir}/libpk11wrap3.a
%{_libdir}/libpkcs12.a
%{_libdir}/libpkcs7.a
%{_libdir}/libpkixcertsel.a
%{_libdir}/libpkixchecker.a
%{_libdir}/libpkixcrlsel.a
%{_libdir}/libpkixmodule.a
%{_libdir}/libpkixparams.a
%{_libdir}/libpkixpki.a
%{_libdir}/libpkixresults.a
%{_libdir}/libpkixstore.a
%{_libdir}/libpkixsystem.a
%{_libdir}/libpkixtop.a
%{_libdir}/libpkixutil.a
%{_libdir}/libsectool.a
%{_libdir}/libsmime3.a
%{_libdir}/libsoftokn3.a
%{_libdir}/libssl3.a

%files softokn-freebl
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libfreebl3.so
/%{_lib}/libfreebl3.chk

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nss.spec,v $
Revision 1.94  2009/07/09 12:21:16  zbyniu
- kill building libfreebl3.so with exec stack; rel 3

Revision 1.93  2009/05/29 07:05:03  tommat
- sparc64 is also 64 bit

Revision 1.92  2009/05/21 09:27:13  arekm
- rel 2; chk file needs to be in the same place as so file; fixes glibc crypt() failures

Revision 1.91  2009/05/10 21:44:43  arekm
 R: nss-softokn-freebl

Revision 1.90  2009/05/10 21:43:21  arekm
- softokn-freebl subpackage for glibc

Revision 1.89  2009/05/10 20:32:48  arekm
- up to 3.12.3

Revision 1.88  2008/10/27 23:19:11  glen
- refresh certdata.c

Revision 1.87  2008/10/27 23:00:17  glen
- add cacert.org root certificate; rel 4

Revision 1.86  2008/07/18 17:07:09  glen
- release 3

Revision 1.85  2008/06/19 16:27:30  hawk
- added support for new nssutil library in nss-config and mozilla.pc

Revision 1.84  2008/06/19 06:39:16  glen
- BR: sqlite3

Revision 1.83  2008/06/18 22:36:11  qboosh
- updated to 3.12
- updated Makefile patch

Revision 1.82  2008/06/17 18:17:44  glen
- add todo

Revision 1.81  2008/02/16 15:23:46  qboosh
- updated to 3.11.9 (nspr 4.7)
- fixed License (MPL/GPL/LGPL triple-licensed)
- strip libfreebl3.so and libsoftokn3.so before signing, so signatures remain valid

Revision 1.80  2008-01-31 20:44:42  glen
- rel 2

Revision 1.79  2007-07-12 20:31:49  qboosh
- updated to 3.11.7 (nspr 4.6.7)

Revision 1.78  2007/04/02 07:46:25  qboosh
- unified

Revision 1.77  2007/03/11 00:51:36  qboosh
- updated to 3.11.5

Revision 1.76  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.75  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.74  2006/11/24 07:56:55  qboosh
- updated to 3.11.4
- pass CC
- -devel R: nspr-devel

Revision 1.73  2006/11/02 14:24:05  glen
- add todo about sign data

Revision 1.72  2006/11/02 00:19:20  glen
- rever $version simplify, need $major in nss-config; rel 3

Revision 1.71  2006/11/02 00:04:36  glen
- rel 2

Revision 1.70  2006/11/02 00:01:38  glen
- fix includedir
- fix nss-config perms
- simplify version in nss-config

Revision 1.69  2006/11/01 23:57:19  glen
- added nss-config (subst based on suse spec)
- add nss.pc
- nspr epoch
- 1 jobserver because it fails otherwise

Revision 1.68  2006/09/16 17:57:51  charles
- BR s/zip/zlib-devel/

Revision 1.67  2006/09/16 09:11:23  qboosh
- added CVE reference to previous commit message

Revision 1.66  2006/09/15 12:00:00  qboosh
- updated to 3.11.3 [fixes CVE-2006-4340]

Revision 1.65  2006/07/25 10:42:50  havner
- epoch for nspr

Revision 1.64  2006/07/01 12:07:10  qboosh
- updated to 3.11.2

Revision 1.63  2006/05/27 19:20:53  qboosh
- updated to 3.11.1, use external nspr 4.6.2
- updated Makefile patch

Revision 1.62  2006/05/10 20:38:45  qboosh
- added URL

Revision 1.61  2006/01/26 21:51:28  qboosh
- USE_64 on ppc64

Revision 1.60  2006/01/26 21:43:59  pluto
- x86-64 build fixed but int32<->ptr64 casts still present.

Revision 1.59  2006/01/13 22:13:27  qboosh
- updated to 3.11, updated Makefile patch, removed obsolete system-zlib,dbm patches

Revision 1.58  2005/05/02 22:47:11  qboosh
- tab

Revision 1.57  2005/05/02 22:19:38  speedy
- ''small,, mistake

Revision 1.56  2005/04/29 08:01:26  qboosh
- updated to release 3.10
- updated system-zlib patch, added dbm patch (missing files from CVS)

Revision 1.55  2005/03/26 21:05:39  havner
- rel 2 for rebuild (.pc file case)

Revision 1.54  2005/03/20 18:47:57  arekm
- little tweaks

Revision 1.53  2005/03/20 00:11:33  arekm
- add pkgconfig

Revision 1.52  2004/12/04 02:15:47  qboosh
- updated to 3.9.4 ("released" in cvs)
- removed obsolete pk11_const patch (fixed already in sources)

Revision 1.51  2004/11/30 23:08:25  pluto
- use const args in PK11_FindSlotBy* to avoid invalid casts.
- release 2.

Revision 1.50  2004/08/31 09:25:51  qboosh
- STID#1011034 has been already fixed in 3.9.2

Revision 1.49  2004/08/31 09:00:15  blues
- SECURITY note

Revision 1.48  2004/07/13 20:54:48  qboosh
- updated to 3.9.2

Revision 1.47  2004/06/28 05:25:31  qboosh
- updated to 3.9.1, removed obsolete amd64 patch

Revision 1.46  2004/01/09 11:34:26  qboosh
- updated to 3.9 (using nspr 4.4.1)

Revision 1.45  2004/01/02 17:48:51  jajcus
- Release: 5 (STBR after AMD64 fixes)

Revision 1.44  2004/01/01 09:49:46  jajcus
- ported to AMD64

Revision 1.43  2003/10/15 08:14:10  qboosh
- updated Source0 URL to one that gives reliable results (ftp does not)

Revision 1.42  2003/09/19 07:16:05  qrczak
- Fix for 2.6 kernel.
- Release 4.

Revision 1.41  2003/08/12 22:32:50  ankry
- cosmetics

Revision 1.40  2003/06/23 21:06:34  jareq
- fixed epoch:version issue

Revision 1.39  2003/06/19 12:59:01  blues
- release 2

Revision 1.38  2003/06/06 06:08:21  ankry
- cosmetics

Revision 1.37  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.36  2003/05/25 05:51:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2003/05/19 11:17:39  qboosh
- up to 3.8, updated patches

Revision 1.34  2003/04/03 08:43:28  trojan
- updated to 3.7.3

Revision 1.33  2003/03/17 09:51:33  qboosh
- updated to 3.7.2

Revision 1.32  2003/03/03 20:34:33  radek
- fixed Source0 URL

Revision 1.31  2003/02/12 14:05:16  trojan
- updated to 3.7.1

Revision 1.30  2002/10/21 11:45:12  qboosh
- updated to final 3.6 (20020929 snap was pre-3.6 beta)

Revision 1.29  2002/10/18 09:01:28  qboosh
- merge from DEVEL (20020929 snap) - mozilla 1.0 still works, mozilla 1.1 builds

Revision 1.27.2.3  2002/09/28 23:39:55  malekith
- fixed descriptions

Revision 1.27.2.2  2002/09/28 23:25:45  malekith
- relase is 3.%{snap} not 2.%{snap}

Revision 1.27.2.1  2002/09/28 23:17:01  malekith
- updated to 20020929 snapshot (mozilla 1.1 require it)
- it builds, but no warranties for anything else ;-)

Revision 1.28  2002/07/26 12:02:30  wiget
- updated to 3.4.2 (needed by mozilla 1.1b)

Revision 1.27  2002/06/10 23:28:19  kloczek
- release 2 (close http://bugs.pld.org.pl/?bug=237).

Revision 1.26  2002/05/23 09:38:12  wrobell
- epoch 1

Revision 1.25  2002/05/20 22:01:51  qboosh
- updated to 3.4.1
- removed dbm patch (not needed - dbm sources are in nss again)
- client renamed to nss-client (conflict with squid)

Revision 1.24  2002/04/16 15:53:40  wrobell
- fixed build requirements

Revision 1.23  2002/04/15 00:30:18  kloczek
- release 1.

Revision 1.22  2002/04/13 21:57:46  qboosh
- moved libcrmf.a to devel (static-only library)
- release 0.2

Revision 1.21  2002/04/13 16:30:14  qboosh
- link libswft.so with static libsoftokn3 as originally

Revision 1.20  2002/04/11 22:42:23  qboosh
- dbm patch (from nss 3.3.1): at least dbm headers are needed
- system-zlib patch: never use included copy of zlib
- more updates in Makefile patch (builds now)

Revision 1.19  2002/04/11 19:43:58  qboosh
- typo

Revision 1.18  2002/04/11 17:48:44  qboosh
- fixed descriptions

Revision 1.17  2002/04/10 14:27:46  wrobell
- start update for nss 3.4.rc1 (mozilla 0.9.9)

Revision 1.16  2002/02/23 04:05:42  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/19 12:15:20  kloczek
- release 4.

Revision 1.13  2002/02/18 21:24:51  gotar
- %desc

Revision 1.12  2002/01/26 06:52:03  kloczek
- release 3: libnss3{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.11  2002/01/18 02:14:03  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2002/01/10 19:43:01  kloczek
- relase 2: cosmetics.

Revision 1.9  2001/12/17 17:54:13  michuz
- buildconflicts mozilla < 0.9.6-3

Revision 1.8  2001/12/16 12:38:52  saq
- _now_ it's adapterized

Revision 1.7  2001/12/16 12:33:13  saq
- adapterized
- Makefile.patch updated to avoid a buildconflict with gdbm-devel

Revision 1.6  2001/12/14 11:06:23  tiwek
- Added zip to BuildReq...

Revision 1.5  2001/12/13 23:52:21  michuz
- fixed Group

Revision 1.4  2001/12/13 23:51:00  michuz
- added BuildConflicts: mozilla

Revision 1.3  2001/12/13 23:43:01  michuz
- removed Conflicts

Revision 1.2  2001/12/13 16:29:18  michuz
- added Conflicts: mozilla (because this lib shouldn't link with mozilla)
- fix %install

Revision 1.1  2001/12/13 15:59:26  michuz
- initial release
